Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 143105 - [65cat] No submit with Enter when at Frameworks step in the Web Application wizard
[65cat] No submit with Enter when at Frameworks step in the Web Application w...
Status: RESOLVED WONTFIX
Product: javaee
Classification: Unclassified
Component: Web Project
6.x
PC Windows XP
: P3 (vote)
: TBD
Assigned To: Trey Spiva
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 21:06 UTC by jlaskowski
Modified: 2016-07-07 08:52 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jlaskowski 2008-08-06 21:06:09 UTC
[ BUILD # : 200808010201 ]
[ JDK VERSION : 1.6.0_07 ]

When creating a new web application with New Web Application wizard
(Ctrl+Shift+N, Java Web > Web Application) the Frameworks panel
doesn't submit itself with Enter, but cycles through the available
frameworks. It drives me crazy while testing a j2eeserver plugin and
I think it could others too. I think it's counter-intuitive.
Comment 1 tomwheeler 2011-10-05 01:03:58 UTC
I am documenting the sequence needed to reproduce this problem, which I have verified still exists in NetBeans 7.1 beta.  I hope that one of the participants in the First Patch program will be able to fix it.

1: File -> New Project

2. Click "Java Web" category and select "Web Application"

3. Click "Next >" button (note that hitting 'Enter' has the same effect as clicking the button)

4. Accept the default name and location

5. Click "Next >" button (note that hitting 'Enter' has the same effect as clicking the button)

6. Select the server, Java EE version and context path

7. Click "Next >" button (note that hitting 'Enter' has the same effect as clicking the button)

8. Click the checkbox corresponding to one of the frameworks listed.

9. Hit the Enter key.  Rather than finishing the wizard, it simply highlights the next framework in the list.
Comment 2 Martin Balin 2016-07-07 08:52:51 UTC
This old bug may not be relevant anymore. If you can still reproduce it in 8.2 development builds please reopen this issue.

Thanks for your cooperation,
NetBeans IDE 8.2 Release Boss


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo